Skip to content

Check if employee has permission on wallet

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Check if employee has permission on wallet

Security
oauth2ClientCredentials(Required scopes: wallet-policies:write)
Headers
business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
employee_idstringrequired

Employee ID to check access for

wallet_idstringrequired

Wallet ID to check access on

permissionstringrequired

Permission slug to check

Example:"initiate-transfer"
curl -i -X POST \
  https://developer.boyahq.com/_mock/v2/openapi/wallet-policies/check-access \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -d '{
    "employee_id": "string",
    "wallet_id": "string",
    "permission": "initiate-transfer"
  }'

Responses

Access check completed

Bodyapplication/json
allowedbooleanrequired

Whether access is allowed

policyobject(PolicyV1Dto)

Policy used for the check (if allowed)

reasonstringrequired

Reason for the result

Example:"OK"
Response
{ "allowed": true, "policy": { "_id": "string", "subject_type": "EMPLOYEE", "employee_id": {}, "business_id": "string", "external_ref": "string", "wallet_id": "string", "permissions": [], "limits": {}, "thresholds": {}, "restrictions": {}, "status": "ACTIVE", "valid_from": "string", "valid_until": "string", "granted_by": {}, "revoked_by": "string", "revoked_at": "string", "revoke_reason": "string", "label": "string", "notes": "string", "createdAt": "string", "updatedAt": "string" }, "reason": "OK" }